---
title: bleed
slug: Web/CSS/@page/bleed
tags:
  - '@page'
  - At-rule descriptor
  - CSS
  - CSS Descriptor
  - Experimental
  - NeedsBrowserCompatibility
  - NeedsMobileBrowserCompatibility
  - Reference
  - Web
---
<div>{{CSSRef}}{{SeeCompatTable}}</div>

<p>The <strong><code>bleed</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/At-rule">at-rule</a> descriptor, used with the {{cssxref("@page")}} at-rule, specifies the extent of the page bleed area outside the page box. This property only has effect if crop marks are enabled using the {{cssxref("@page/marks", "marks")}} property.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css notranslate">/* Keyword values */
bleed: auto;

/* &lt;length&gt; values */
bleed: 8pt;
bleed: 1cm;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>auto</code></dt>
 <dd>Computes to <code>6pt</code> if the value of {{cssxref("@page/marks", "marks")}} is <code>crop</code>. Otherwise it computes to zero.</dd>
 <dt><code>{{cssxref("&lt;length&gt;")}}</code></dt>
 <dd>Specifies by how far outward, in each direction, the bleed area extends past the page box. Values may be negative, but there may be implementation-specific limits.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_a_page_bleed_of_1cm">Setting a page bleed of 1cm</h3>

<pre class="brush: css notranslate">@page {
  bleed: 1cm;
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Paged Media", "#bleed", "bleed")}}</td>
   <td>{{Spec2("CSS3 Paged Media")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.page.bleed")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("@page/marks", "marks")}}</li>
 <li>{{cssxref("@page/size", "size")}}</li>
</ul>
